## hubzero-usermap 0.9.0

=== Makefile ===
# Copyright 2004-2010 by Purdue University.
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published
# by the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.

CFLAGS	= -g -D_FILE_OFFSET_BITS=64 -DFUSE_USE_VERSION=25
LDFLAGS	= -lfuse
INSTDIR=$(DESTDIR)/sbin
OWNER=root
GROUP=root

all: usermap

install: usermap
	install -d $(INSTDIR) --owner $(OWNER) --group $(GROUP) --mode 0755
	install usermap $(INSTDIR)/mount.usermap --owner $(OWNER) --group $(GROUP) --mode 0755

%: %.o
	$(CC) -o $@ $^ $(LDFLAGS)

clean:
	rm -f *.o usermap build-stamp configure-stamp

## hubzero-usermap 1.0.1

=== Makefile ===
# @package      hubzero-usermap
# @file         Makefile
# @author       Rick Kennell <kennell@purdue.edu>
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2005-2010 Purdue University. All rights reserved.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2005-2010 Purdue University
# All rights reserved.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of Purdue University.
#

CFLAGS	= -g -D_FILE_OFFSET_BITS=64 -DFUSE_USE_VERSION=25
LDFLAGS	= -lfuse
INSTDIR=$(DESTDIR)/sbin
OWNER=root
GROUP=root

all: usermap

install: usermap
	install -d $(INSTDIR) --owner $(OWNER) --group $(GROUP) --mode 0755
	install usermap $(INSTDIR)/mount.usermap --owner $(OWNER) --group $(GROUP) --mode 0755

%: %.o
	$(CC) -o $@ $^ $(LDFLAGS)

clean:
	rm -f *.o usermap build-stamp configure-stamp

## hubzero-usermap 1.1.0

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 # @file         Makefile
 # @author       Rick Kennell <kennell@purdue.edu>
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2005-2010 Purdue University. All rights reserved.
+# @copyright    Copyright (c) 2005-2012 Purdue University. All rights reserved.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2005-2010 Purdue University
+# Copyright (c) 2005-2012 Purdue University
 # All rights reserved.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration

## hubzero-usermap 1.1.1

=== Makefile ===
--- 
+++ 
@@ -2,11 +2,10 @@
 # @file         Makefile
 # @author       Rick Kennell <kennell@purdue.edu>
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2005-2012 Purdue University. All rights reserved.
+# @copyright    Copyright (c) 2005-2012 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2005-2012 Purdue University
-# All rights reserved.
+# Copyright (c) 2005-2012 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -24,20 +23,18 @@
 # You should have received a copy of the GNU Lesser General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
-# HUBzero is a registered trademark of Purdue University.
+# HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
 CFLAGS	= -g -D_FILE_OFFSET_BITS=64 -DFUSE_USE_VERSION=25
 LDFLAGS	= -lfuse
 INSTDIR=$(DESTDIR)/sbin
-OWNER=root
-GROUP=root
 
-all: usermap
+default: usermap
 
 install: usermap
-	install -d $(INSTDIR) --owner $(OWNER) --group $(GROUP) --mode 0755
-	install usermap $(INSTDIR)/mount.usermap --owner $(OWNER) --group $(GROUP) --mode 0755
+	install -d $(INSTDIR) --mode 0755
+	install usermap $(INSTDIR)/mount.usermap --mode 0755
 
 %: %.o
 	$(CC) -o $@ $^ $(LDFLAGS)

## hubzero-usermap 1.1.4

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 # @file         Makefile
 # @author       Rick Kennell <kennell@purdue.edu>
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2005-2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2005-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2005-2012 HUBzero Foundation, LLC.
+# Copyright (c) 2005-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-usermap 1.2.0

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 # @file         Makefile
 # @author       Rick Kennell <kennell@purdue.edu>
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2005-2013 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2005-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2005-2013 HUBzero Foundation, LLC.
+# Copyright (c) 2005-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -26,18 +26,23 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
-CFLAGS	= -g -D_FILE_OFFSET_BITS=64 -DFUSE_USE_VERSION=25
-LDFLAGS	= -lfuse
-INSTDIR=$(DESTDIR)/sbin
+CFLAGS	+= -D_FILE_OFFSET_BITS=64 -DFUSE_USE_VERSION=25
+LDFLAGS	+= -lfuse
+SBIN=$(DESTDIR)/sbin
 
-default: usermap
+all: usermap
+	@true
 
 install: usermap
-	install -d $(INSTDIR) --mode 0755
-	install usermap $(INSTDIR)/mount.usermap --mode 0755
+	install usermap -D $(SBIN)/mount.usermap --mode 0755
 
 %: %.o
 	$(CC) -o $@ $^ $(LDFLAGS)
 
+postinst:
+	@true
+
 clean:
-	rm -f *.o usermap build-stamp configure-stamp
+	rm -f *.o usermap
+
+.PHONY: all install postinst clean

## hubzero-usermap 2.1.0

=== Makefile ===
# @package      hubzero-usermap
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

CFLAGS	+= -D_FILE_OFFSET_BITS=64 -DFUSE_USE_VERSION=25
LDFLAGS	+= -lfuse
SBIN=$(DESTDIR)/sbin

all: usermap
	@true

install: usermap
	install usermap -D $(SBIN)/mount.usermap --mode 0755

uninstall:
	@true

%: %.o
	$(CC) -o $@ $^ $(LDFLAGS)

postinst:
	@true

clean:
	rm -f *.o usermap

.PHONY: all install uninstall postinst clean

## hubzero-usermap 2.1.0-1+deb7

=== debian/changelog ===
hubzero-usermap (2.1.0-1+deb7) unstable; urgency=low

  * add no-op support of -s mount option for jessie

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 10 Feb 2017 09:49:05 -0500

hubzero-usermap (2.0.0-1) unstable; urgency=low

  * update copyright, license, version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 08 Sep 2015 10:12:32 -0400

hubzero-usermap (1.3.0-1) unstable; urgency=low

  * update version for diego repository 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 31 Aug 2015 09:30:17 -0400

hubzero-usermap (1.2.0-1) unstable; urgency=low

  * Repackaged to support multiple Debian releases

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 08 Sep 2014 08:44:15 -0400

hubzero-usermap (1.1.4-1) unstable; urgency=low

  * Update copyright statements

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 17 Aug 2013 19:44:19 -0400

hubzero-usermap (1.1.3-1) unstable; urgency=low

  * Accept (but doesn't use) the -n parameter (for wheezy)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Jun 2013 09:19:40 -0400

hubzero-usermap (1.1.2-1) unstable; urgency=low

  * remove modprobe from postinst 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 22 Oct 2012 15:13:27 -0400

hubzero-usermap (1.1.1-1) unstable; urgency=low

  * update copyrights for HUBzero Foundation, LLC. and Debian 6 packaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 30 Aug 2012 11:58:30 -0400

hubzero-usermap (1.1.0-1) unstable; urgency=low

  * fix lintian packaging errors

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Mar 2012 16:55:15 -0400

hubzero-usermap (1.0.1-1) unstable; urgency=low

  * Clean up debian packaging a little

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 07 Dec 2011 18:50:58 -0500

hubzero-usermap (1.0.0-1) testing; urgency=low

  * Updated to 1.0

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 08 Apr 2011 00:31:02 -0400

hubzero-usermap (0.9.1-1) testing; urgency=low

  * Now has latest code.

 -- John Rosheck <jrosheck@purdue.edu>  Tue, 22 Mar 2011 13:04:27 -0400

hubzero-usermap (0.9.0-1) testing; urgency=low

  * Updated copyright notice, cleaned out extraneous debian example files

 -- John Rosheck <jrosheck@purdue.edu>  Thu, 03 Mar 2011 23:09:55 -0500

hubzero-usermap (0.8.1-1) unstable; urgency=low

  * Non-maintainer upload.
  * Advanced version to avoid conflict in the repository

 -- John Rosheck <jrosheck@purdue.edu>  Thu, 23 Sep 2010 15:19:25 -0400

hubzero-usermap (0.8.0-3) stable; urgency=low

  * add 'modprobe fuse' to postinst 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 04 Apr 2010 16:57:21 -0400

hubzero-usermap (0.8.0-2) stable; urgency=low

  * update copyright and control files 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 31 Mar 2010 15:30:20 -0400

hubzero-usermap (0.8.0-1) stable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 31 Mar 2010 15:13:19 -0400

=== debian/control ===
Source: hubzero-usermap
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0), libfuse-dev
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-usermap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HUBzero usermapping FUSE-based filesystem
 FUSE-based filesystem which maps properly authenticated user to 
 proper system credentials so they may access their files.

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-usermap
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-usermap install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

#binary: binary-indep 
binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-usermap 2.2.3-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-usermap
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 CFLAGS	+= -D_FILE_OFFSET_BITS=64 -DFUSE_USE_VERSION=25

=== debian/changelog ===
hubzero-usermap (2.2.3-1+deb9) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 13:09:13 -0700

hubzero-usermap (2.2.2-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 28 Apr 2020 21:19:48 -0700

hubzero-usermap (2.2.1-1) unstable; urgency=low

  * packaging update for rhel7

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 03 Apr 2018 15:29:05 -0400

hubzero-usermap (2.1.0-1) unstable; urgency=low

  * add no-op support of -s mount option for jessie

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 10 Feb 2017 09:49:05 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hubzero-usermap
 Section: misc
 Priority: optional
-Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
+Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
 Build-Depends: debhelper (>= 8.0.0), libfuse-dev
 Standards-Version: 3.8.4
 Homepage: http://hubzero.org

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-usermap
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -26,7 +25,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.
